com.google.web.bindery.event.shared

## Interface HandlerRegistration

All Known Subinterfaces:
  HandlerRegistration

All Known Implementing Classes:
  LegacyHandlerWrapper

    public interface HandlerRegistration

Registration objects returned when an event handler is bound (e.g. via `EventBus.addHandler(com.google.web.bindery.event.shared.Event.Type<H>, H)`), used to deregister.

A tip: to make a handler deregister itself try something like the following: ``

    new MyHandler() {
      HandlerRegistration reg = MyEvent.register(eventBus, this);

      public void onMyThing(MyEvent event) {
         /* do your thing * /
        reg.removeHandler();
      }
     };

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `removeHandler()` Deregisters the handler associated with this registration object if the handler is still attached to the event source.

### Method Detail

#### removeHandler

    void removeHandler()

Deregisters the handler associated with this registration object if the handler is still attached to the event source. If the handler is no longer attached to the event source, this is a no-op.